org.encog.neural.neat

## Enum NEATNeuronType

- java.lang.Object
- - java.lang.Enum<NEATNeuronType>
  - - org.encog.neural.neat.NEATNeuronType

- All Implemented Interfaces:
    Serializable, Comparable<NEATNeuronType>

      public enum NEATNeuronType
      extends Enum<NEATNeuronType>

  The types of neurons supported by NEAT. NeuroEvolution of Augmenting Topologies (NEAT) is a genetic algorithm for the generation of evolving artificial neural networks. It was developed by Ken Stanley while at The University of Texas at Austin. ----------------------------------------------------------------------------- http://www.cs.ucf.edu/~kstanley/ Encog's NEAT implementation was drawn from the following three Journal Articles. For more complete BibTeX sources, see NEATNetwork.java. Evolving Neural Networks Through Augmenting Topologies Generating Large-Scale Neural Networks Through Discovering Geometric Regularities Automatic feature selection in neuroevolution

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Bias` Each NEAT network has one bias neuron.
    `Hidden` Hidden neurons are between the input and output.
    `Input` Input neurons receive input, they are never altered during evolution.
    `None` Not really a neuron type, as you will never see one of these in the network.
    `Output` Output neurons provide output, they are never altered during evolution.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NEATNeuronType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static NEATNeuronType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Bias

          public static final NEATNeuronType Bias

      Each NEAT network has one bias neuron.

    - #### Hidden

          public static final NEATNeuronType Hidden

      Hidden neurons are between the input and output.

    - #### Input

          public static final NEATNeuronType Input

      Input neurons receive input, they are never altered during evolution.

    - #### None

          public static final NEATNeuronType None

      Not really a neuron type, as you will never see one of these in the network. However, it is used to mark an innovation as not affecting a neuron type, but rather a link.

    - #### Output

          public static final NEATNeuronType Output

      Output neurons provide output, they are never altered during evolution.

  - ### Method Detail

    - #### values

          public static NEATNeuronType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NEATNeuronType c : NEATNeuronType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NEATNeuronType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.